petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscViewerBinaryGetMPIIODescriptor

Extracts the MPI IO file descriptor from a PetscViewer.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinaryGetMPIIODescriptor(PetscViewer viewer,MPI_File *fdes)

Not Collective

### Input Parameter

viewer -PetscViewer context, obtained from PetscViewerBinaryOpen()

### Output Parameter

fdes -file descriptor

### Fortran Note

This routine is not supported in Fortran.

### See Also

PetscViewerBinaryOpen(),PetscViewerBinaryGetInfoPointer()

Level:advanced
Location:src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages